## vipec 3.0.3

=== Makefile ===
###############################################################################
#                                                                             #
#                           ViPEC project makefile                            #
#              ViPEC is distributed under the GNU Public license              #
#                    (C) 1991-2000 J. Rossouw & E. Jansen                     #
#                                                                             #
###############################################################################

SUBDIRS = src
SOURCEPATH = `pwd`
VERSION = 3.0.3
INSTALLDIR = /opt/vipec

export VERSION

ALL: $(SUBDIRS) 

$(SUBDIRS):  FORCE
	@(echo Entering $@ ...; cd $@; $(MAKE))

all:
	@($(MAKE) release; $(MAKE))

clean:
	rm -f core filelist.txt codelist.ps `find . -name *~`
	(for i in $(SUBDIRS); do cd $$i; $(MAKE) clean; cd ..; done)

debug:
	@(echo Creating makefile for debug version ...; cd src; tmake vipec "CONFIG+=debug" -o Makefile )

release:
	@(echo Creating makefile for release version ...; cd src; tmake -o Makefile vipec.pro )

demo:
	@(echo Creating makefile for demo version ...; cd src; tmake vipec "DEFINES+=WIN_DEMO" -o Makefile )

ts:
	@(echo Updating message files ...; cd src; lupdate vipec.pro )

qm:
	@(echo Creating QM message files ...; cd src; lrelease vipec.pro )

filelist:
	find . -name *.h > filelist.txt
	find . -name *.cpp >> filelist.txt

codelist:
	$(MAKE) filelist
	tools/outputPSForCodeFiles `cat filelist.txt` > codelist.ps

install:
	strip $(SOURCEPATH)/vipec
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/help
	mkdir -p $(INSTALLDIR)/ckt
	mkdir -p $(INSTALLDIR)/messages
	cp $(SOURCEPATH)/vipec $(INSTALLDIR)
	cp -R $(SOURCEPATH)/help/* $(INSTALLDIR)/help
	cp -R $(SOURCEPATH)/ckt/* $(INSTALLDIR)/ckt
	cp -R $(SOURCEPATH)/messages/* $(INSTALLDIR)/messages
	cp $(SOURCEPATH)/CHANGES $(INSTALLDIR)
	cp $(SOURCEPATH)/COPYRIGHT $(INSTALLDIR)
	cp $(SOURCEPATH)/INTERNATIONALIZATION $(INSTALLDIR)
	cp $(SOURCEPATH)/README $(INSTALLDIR)
	cp $(SOURCEPATH)/COPYING $(INSTALLDIR)
	cp $(SOURCEPATH)/LICENSE $(INSTALLDIR)

rpm:
	rpm -bb $(SOURCEPATH)/spec/vipec.spec

tar:
	$(MAKE) clean
	(cd ..; ln -s ver3 vipec-$(VERSION); tar cvzf vipec-$(VERSION).tar.gz vipec-$(VERSION)/*; rm -f vipec-$(VERSION); cd ver3; )

FORCE:

## vipec 3.2.0

=== Makefile ===
###############################################################################
#                                                                             #
#                           ViPEC project makefile                            #
#              ViPEC is distributed under the GNU Public license              #
#                    (C) 1991-2001 J. Rossouw & E. Jansen                     #
#                EMAIL: vipec-developers@lists.sourceforge.net                #
#                                                                             #
###############################################################################

SUBDIRS = src
SOURCEPATH = `pwd`
VERSION = 3.2.0
INSTALLDIR = $(PREFIX)/opt/vipec
ICONFILE = vipec.gif

export VERSION

ALL: $(SUBDIRS) 

$(SUBDIRS):  FORCE
	@(echo Entering $@ ...; cd $@; $(MAKE))

all:
	@($(MAKE) release; $(MAKE))

clean:
	rm -f core filelist.txt codelist.ps `find . -name *~` spec/vipec.spec
	rm -f src/Makefile.tmp
	rm -f vipec
	(for i in $(SUBDIRS); do cd $$i; $(MAKE) clean; cd ..; done)

debug:
	@(echo Creating makefile for debug version ...; \
	  cd src; \
	  qmake "CONFIG+=debug" -o Makefile.tmp vipec.pro; \
	  cat Makefile.tmp | sed 's/no-exceptions/exceptions/g' > Makefile )

release:
	@(echo Creating makefile for release version ...; \
	  cd src; \
	  qmake -o Makefile.tmp vipec.pro; \
	  cat Makefile.tmp | sed 's/no-exceptions/exceptions/g' > Makefile )

ts:
	@(echo Updating message files ...; cd src; lupdate vipec.pro )

qm:
	@(echo Creating QM message files ...; cd src; lrelease vipec.pro )

filelist:
	find . -name *.h > filelist.txt
	find . -name *.cpp >> filelist.txt

codelist:
	$(MAKE) filelist
	a2ps -r --columns=1 -l120 -o codelist.ps  `cat filelist.txt`

install:
	strip $(SOURCEPATH)/vipec
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/help
	mkdir -p $(INSTALLDIR)/ckt
	mkdir -p $(INSTALLDIR)/messages
	cp $(SOURCEPATH)/vipec $(INSTALLDIR)
	cp -R $(SOURCEPATH)/help/* $(INSTALLDIR)/help
	cp -R $(SOURCEPATH)/ckt/* $(INSTALLDIR)/ckt
	cp -R $(SOURCEPATH)/messages/* $(INSTALLDIR)/messages
	cp $(SOURCEPATH)/CHANGES $(INSTALLDIR)
	cp $(SOURCEPATH)/COPYRIGHT $(INSTALLDIR)
	cp $(SOURCEPATH)/INTERNATIONALIZATION $(INSTALLDIR)
	cp $(SOURCEPATH)/README $(INSTALLDIR)
	cp $(SOURCEPATH)/COPYING $(INSTALLDIR)
	cp $(SOURCEPATH)/LICENSE $(INSTALLDIR)

rpm:
	$(MAKE) tar
	cp ../ViPEC-$(VERSION).tar.gz /usr/src/redhat/SOURCES/ViPEC-$(VERSION).tar.gz
	cp src/images/$(ICONFILE) /usr/src/redhat/SOURCES/
	cpp -P -DVERSION=$(VERSION) -DICONFILE=$(ICONFILE) spec/vipec.spec.source spec/vipec.spec
	rpmbuild -bs $(SOURCEPATH)/spec/vipec.spec

tar:
	$(MAKE) clean
	(cd ..; ln -s Vipec ViPEC-$(VERSION); tar cvzf ViPEC-$(VERSION).tar.gz ViPEC-$(VERSION)/*; rm -f ViPEC-$(VERSION); cd Vipec; )

FORCE:

## vipec 3.2.0-1

=== debian/changelog ===
vipec (3.2.0-1) unstable; urgency=low

  * Upstream release.  Closes: #207251
  * Link to qt3 and compile with g++ 3.3.  Closes: #198547
  * Update package description, standards version, build-depends.
  * Patch code to allow package to run without binary dependencies on
    /usr/share/doc. Closes: #244596

 -- Chris Ruffin <cmruffin@debian.org>  Sun, 18 Apr 2004 23:41:01 -0400

vipec (3.0.3-2) unstable; urgency=low

  * Comply with menu-policy.
  * Created reference to /usr/share/common-licenses/GPL
  * Removed INSTALL documentation from /usr/share/doc

 -- Chris Ruffin <cmruffin@debian.org>  Fri, 29 Mar 2002 00:32:38 -0500

vipec (3.0.3-1.1) unstable; urgency=low

  * NMU
  * Fix g++ 3.0 errors.  Closes: #104833

 -- LaMont Jones <lamont@debian.org>  Sun, 30 Dec 2001 03:19:25 -0700

vipec (3.0.3-1) unstable; urgency=low

  * Initial Release. (closes: #91769, #91773)

 -- Chris Ruffin <cmruffin@debian.org>  Mon,  4 Jun 2001 00:30:41 -0400

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: vipec
Maintainer: Chris Ruffin <cmruffin@debian.org>
Section: electronics
Priority: optional
Build-Depends: debhelper (>> 3.0.0), libqt3-dev (>> 3.2.3), libqt3-compat-headers (>> 3.2.3), qt3-dev-tools (>> 3.2.3)
Standards-Version: 3.6.1.0

Package: vipec
Architecture: any
Section: electronics
Priority: optional
Depends: ${shlibs:Depends}
Description: network analyzer for electrical networks
 ViPEC is a powerful tool for the analysis of high frequency, linear
 electrical networks. It takes a schematic description of the
 electrical network and performs a linear analysis in the frequency
 domain. The output is in the form of port parameters (S, Y or Z) with
 results presented on a user defined grid, Smithchart or table. It can
 also be used to compute other characteristics like stability factors
 and group delay.
 .
 ViPEC supports various lumped elements (capacitors, resistors etc.) as
 well as distributed networks like transmission lines, microstrip and
 stripline structures. Two port data files are also supported (e.g. the
 2-port frequency parameters of various RF transistors as supplied by
 the manufacturer). The component library is under constant development
 with new elements added at regular intervals.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

INSTALLDIR=./debian/build_install
INSTALLDIR_DEBIAN=./debian/vipec
BINDIR=$(INSTALLDIR_DEBIAN)/usr/bin
SHAREDIR=$(INSTALLDIR_DEBIAN)/usr/share/vipec
HELPDIR=$(INSTALLDIR_DEBIAN)/usr/share/vipec/help
I18NDIR=$(INSTALLDIR_DEBIAN)/usr/share/vipec/messages
DOCDIR=$(INSTALLDIR_DEBIAN)/usr/share/doc/vipec
EXAMPLEDIR=$(DOCDIR)/examples

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	$(MAKE) release
	
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) VIPECHOME="/usr/share/vipec"
	#/usr/bin/docbook-to-man debian/vipec.sgml > vipec.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	rm -rf $(INSTALLDIR)
	rm -rf $(INSTALLDIR_DEBIAN)

	# Add here commands to install the package into debian/vipec.
	$(MAKE) install INSTALLDIR=$(INSTALLDIR)

	# Prune the CVS directories from the stock install directory.
	find $(INSTALLDIR) -type d -name 'CVS' -print0 | xargs -0 rm -rf 
	
	install -d -m 0755 $(BINDIR)
	install -d -m 0755 $(SHAREDIR)
	install -d -m 0755 $(HELPDIR)
	install -d -m 0755 $(I18NDIR)
	install -d -m 0755 $(DOCDIR)
	install -d -m 0755 $(EXAMPLEDIR)

	install -m 0755 $(INSTALLDIR)/vipec $(BINDIR)

	# Prepare directories.
	find $(INSTALLDIR)/help -type d -print0 | xargs -0 -i install -d -m 0755 {} $(HELPDIR)
	find $(INSTALLDIR)/ckt -type d -print0 | xargs -0 -i install -d -m 0755 {} $(EXAMPLEDIR)
	find $(INSTALLDIR)/messages -type d -print0 | xargs -0 -i install -d -m 0755 {} $(I18NDIR)

	# Install support files.
	find $(INSTALLDIR)/help -type f -print0 | xargs -0 -i install -m 0644 {} $(HELPDIR)
	find $(INSTALLDIR)/ckt -type f -print0 | xargs -0 -i install -m 0644 {} $(EXAMPLEDIR)
	find $(INSTALLDIR)/messages -type f -print0 | xargs -0 -i install -m 0644 {} $(I18NDIR)

	# Install upstream documentation files.
	install -m 0644 $(INSTALLDIR)/CHANGES $(DOCDIR)
	install -m 0644 $(INSTALLDIR)/INTERNATIONALIZATION $(DOCDIR)
	install -m 0644 $(INSTALLDIR)/README $(DOCDIR)

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
ftp.sourceforge.net	/pub/sourceforge/vipec	vipec-(.*)\.tar\.gz	debian	uupdate
